Bulk Bank Account Verification V2
curl --request POST \
--url https://sandbox.cashfree.com/verification/bank-account/bulk \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"bulk_verification_id": "test001",
"entries": [
{
"name": "John Doe",
"bank_account": "11020001772",
"ifsc": "HDFC0000001",
"phone": "9999999999"
}
]
}
'import requests
url = "https://sandbox.cashfree.com/verification/bank-account/bulk"
payload = {
"bulk_verification_id": "test001",
"entries": [
{
"name": "John Doe",
"bank_account": "11020001772",
"ifsc": "HDFC0000001",
"phone": "9999999999"
}
]
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bulk_verification_id: 'test001',
entries: [
{
name: 'John Doe',
bank_account: '11020001772',
ifsc: 'HDFC0000001',
phone: '9999999999'
}
]
})
};
fetch('https://sandbox.cashfree.com/verification/bank-account/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/bank-account/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bulk_verification_id' => 'test001',
'entries' => [
[
'name' => 'John Doe',
'bank_account' => '11020001772',
'ifsc' => 'HDFC0000001',
'phone' => '9999999999'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/bank-account/bulk"
payload := strings.NewReader("{\n \"bulk_verification_id\": \"test001\",\n \"entries\": [\n {\n \"name\": \"John Doe\",\n \"bank_account\": \"11020001772\",\n \"ifsc\": \"HDFC0000001\",\n \"phone\": \"9999999999\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/bank-account/bulk")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bulk_verification_id\": \"test001\",\n \"entries\": [\n {\n \"name\": \"John Doe\",\n \"bank_account\": \"11020001772\",\n \"ifsc\": \"HDFC0000001\",\n \"phone\": \"9999999999\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/bank-account/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bulk_verification_id\": \"test001\",\n \"entries\": [\n {\n \"name\": \"John Doe\",\n \"bank_account\": \"11020001772\",\n \"ifsc\": \"HDFC0000001\",\n \"phone\": \"9999999999\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bulk_reference_id": 123,
"bulk_verification_id": "bulk-test-123",
"status": "RECEIVED"
}
Bulk Bank Account Verification V2
Use this API to verify bank account information in bulk. View the test data and use the information to trigger the validations. You can use the test data only in sandbox environment.
POST
/
bank-account
/
bulk
Bulk Bank Account Verification V2
curl --request POST \
--url https://sandbox.cashfree.com/verification/bank-account/bulk \
--header 'Content-Type: application/json' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>' \
--data '
{
"bulk_verification_id": "test001",
"entries": [
{
"name": "John Doe",
"bank_account": "11020001772",
"ifsc": "HDFC0000001",
"phone": "9999999999"
}
]
}
'import requests
url = "https://sandbox.cashfree.com/verification/bank-account/bulk"
payload = {
"bulk_verification_id": "test001",
"entries": [
{
"name": "John Doe",
"bank_account": "11020001772",
"ifsc": "HDFC0000001",
"phone": "9999999999"
}
]
}
headers = {
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bulk_verification_id: 'test001',
entries: [
{
name: 'John Doe',
bank_account: '11020001772',
ifsc: 'HDFC0000001',
phone: '9999999999'
}
]
})
};
fetch('https://sandbox.cashfree.com/verification/bank-account/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.cashfree.com/verification/bank-account/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'bulk_verification_id' => 'test001',
'entries' => [
[
'name' => 'John Doe',
'bank_account' => '11020001772',
'ifsc' => 'HDFC0000001',
'phone' => '9999999999'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-client-id: <api-key>",
"x-client-secret: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox.cashfree.com/verification/bank-account/bulk"
payload := strings.NewReader("{\n \"bulk_verification_id\": \"test001\",\n \"entries\": [\n {\n \"name\": \"John Doe\",\n \"bank_account\": \"11020001772\",\n \"ifsc\": \"HDFC0000001\",\n \"phone\": \"9999999999\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-client-id", "<api-key>")
req.Header.Add("x-client-secret", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox.cashfree.com/verification/bank-account/bulk")
.header("x-client-id", "<api-key>")
.header("x-client-secret", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"bulk_verification_id\": \"test001\",\n \"entries\": [\n {\n \"name\": \"John Doe\",\n \"bank_account\": \"11020001772\",\n \"ifsc\": \"HDFC0000001\",\n \"phone\": \"9999999999\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.cashfree.com/verification/bank-account/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-client-id"] = '<api-key>'
request["x-client-secret"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bulk_verification_id\": \"test001\",\n \"entries\": [\n {\n \"name\": \"John Doe\",\n \"bank_account\": \"11020001772\",\n \"ifsc\": \"HDFC0000001\",\n \"phone\": \"9999999999\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"bulk_reference_id": 123,
"bulk_verification_id": "bulk-test-123",
"status": "RECEIVED"
}
Authorizations
Client ID. You can find your ID in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Body
application/json
Find the request parameters to verify bank account information in bulk
Response
Success response for Bulk Bank Account Verification V2
